## ssreflect 1.14.0

=== debian/changelog ===
ssreflect (1.14.0-7) unstable; urgency=medium

  * Better fix for Breaks+Replaces (Closes: #1005852).

 -- Julien Puydt <jpuydt@debian.org>  Wed, 16 Feb 2022 22:19:18 +0100

ssreflect (1.14.0-6) unstable; urgency=medium

  * Fix Breaks+Replaces (Closes: #1005254).

 -- Julien Puydt <jpuydt@debian.org>  Thu, 10 Feb 2022 11:24:49 +0100

ssreflect (1.14.0-5) unstable; urgency=medium

  * Fix libcoq-mathcomp's doc-base.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 06 Feb 2022 18:14:01 +0100

ssreflect (1.14.0-4) unstable; urgency=medium

  * Split in binary packages following upstream.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 06 Feb 2022 13:49:34 +0100

ssreflect (1.14.0-3) unstable; urgency=medium

  * Depend on the coq library under its new name.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 06 Feb 2022 08:55:54 +0100

ssreflect (1.14.0-2) unstable; urgency=medium

  * Make the package auto-adapt to coq's layout.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 05 Feb 2022 09:55:07 +0100

ssreflect (1.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 24 Jan 2022 09:15:13 +0100

=== debian/control ===
Source: ssreflect
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>,
           Julien Puydt <jpuydt@debian.org>,
           Ralf Treinen <treinen@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 coq (>= 8.11),
 lua5.1
Rules-Requires-Root: no
Standards-Version: 4.6.0
Section: math
Homepage: https://math-comp.github.io/math-comp/
Vcs-Browser: https://salsa.debian.org/ocaml-team/ssreflect
Vcs-Git: https://salsa.debian.org/ocaml-team/ssreflect.git

Package: libcoq-mathcomp-algebra
Architecture: all
Depends:
 libcoq-mathcomp-fingroup (= ${binary:Version}),
 ${misc:Depends}
Breaks: libssreflect-coq (<= ${binary:Version})
Replaces: libssreflect-coq
Description: Mathematical Components library for Coq (algebra)
 The Mathematical Components Library is an extensive and coherent
 repository of formalized mathematical theories. It is based on the
 Coq proof assistant, powered with the Coq/SSReflect language.
 .
 These formal theories cover a wide spectrum of topics, ranging from
 the formal theory of general-purpose data structures like lists,
 prime numbers or finite graphs, to advanced topics in algebra.
 .
 The formalization technique adopted in the library, called "small
 scale reflection", leverages the higher-order nature of Coq's
 underlying logic to provide effective automation for many small,
 clerical proof steps. This is often accomplished by restating
 ("reflecting") problems in a more concrete form, hence the name. For
 example, arithmetic comparison is not an abstract predicate, but
 rather a function computing a Boolean.
 .
 This package installs the algebra part of the library (ring, fields,
 ordered fields, real fields, modules, algebras, integers, rationals,
 polynomials, matrices, vector spaces...).

Package: libcoq-mathcomp-character
Architecture: all
Depends:
 libcoq-mathcomp-field (= ${binary:Version}),
 ${misc:Depends}
Breaks: libssreflect-coq (<= ${binary:Version})
Replaces: libssreflect-coq
Description: Mathematical Components library for Coq (character)
 The Mathematical Components Library is an extensive and coherent
 repository of formalized mathematical theories. It is based on the
 Coq proof assistant, powered with the Coq/SSReflect language.
 .
 These formal theories cover a wide spectrum of topics, ranging from
 the formal theory of general-purpose data structures like lists,
 prime numbers or finite graphs, to advanced topics in algebra.
 .
 The formalization technique adopted in the library, called "small
 scale reflection", leverages the higher-order nature of Coq's
 underlying logic to provide effective automation for many small,
 clerical proof steps. This is often accomplished by restating
 ("reflecting") problems in a more concrete form, hence the name. For
 example, arithmetic comparison is not an abstract predicate, but
 rather a function computing a Boolean.
 .
 This package installs the character theory part of the library
 (group representations, characters and class functions).

Package: libcoq-mathcomp-field
Architecture: all
Depends:
 libcoq-mathcomp-solvable (= ${binary:Version}),
 ${misc:Depends}
Breaks: libssreflect-coq (<= ${binary:Version})
Replaces: libssreflect-coq
Description: Mathematical Components library for Coq (field)
 The Mathematical Components Library is an extensive and coherent
 repository of formalized mathematical theories. It is based on the
 Coq proof assistant, powered with the Coq/SSReflect language.
 .
 These formal theories cover a wide spectrum of topics, ranging from
 the formal theory of general-purpose data structures like lists,
 prime numbers or finite graphs, to advanced topics in algebra.
 .
 The formalization technique adopted in the library, called "small
 scale reflection", leverages the higher-order nature of Coq's
 underlying logic to provide effective automation for many small,
 clerical proof steps. This is often accomplished by restating
 ("reflecting") problems in a more concrete form, hence the name. For
 example, arithmetic comparison is not an abstract predicate, but
 rather a function computing a Boolean.
 .
 This package installs the field theory part of the library
 (field extensions, Galois theory, algebraic numbers, cyclotomic
 polynomials).

Package: libcoq-mathcomp-fingroup
Architecture: all
Depends:
 libcoq-mathcomp-ssreflect (= ${binary:Version}),
 ${misc:Depends}
Breaks: libssreflect-coq (<= ${binary:Version})
Replaces: libssreflect-coq
Description: Mathematical Components library for Coq (finite groups)
 The Mathematical Components Library is an extensive and coherent
 repository of formalized mathematical theories. It is based on the
 Coq proof assistant, powered with the Coq/SSReflect language.
 .
 These formal theories cover a wide spectrum of topics, ranging from
 the formal theory of general-purpose data structures like lists,
 prime numbers or finite graphs, to advanced topics in algebra.
 .
 The formalization technique adopted in the library, called "small
 scale reflection", leverages the higher-order nature of Coq's
 underlying logic to provide effective automation for many small,
 clerical proof steps. This is often accomplished by restating
 ("reflecting") problems in a more concrete form, hence the name. For
 example, arithmetic comparison is not an abstract predicate, but
 rather a function computing a Boolean.
 .
 This package installs the finite groups theory part of the library
 (finite groups, group quotients, group morphisms, group presentation,
 group action...).

Package: libcoq-mathcomp-solvable
Architecture: all
Depends:
 libcoq-mathcomp-algebra (= ${binary:Version}),
 ${misc:Depends}
Breaks: libssreflect-coq (<= ${binary:Version})
Replaces: libssreflect-coq
Description: Mathematical Components library for Coq (finite groups II)
 The Mathematical Components Library is an extensive and coherent
 repository of formalized mathematical theories. It is based on the
 Coq proof assistant, powered with the Coq/SSReflect language.
 .
 These formal theories cover a wide spectrum of topics, ranging from
 the formal theory of general-purpose data structures like lists,
 prime numbers or finite graphs, to advanced topics in algebra.
 .
 The formalization technique adopted in the library, called "small
 scale reflection", leverages the higher-order nature of Coq's
 underlying logic to provide effective automation for many small,
 clerical proof steps. This is often accomplished by restating
 ("reflecting") problems in a more concrete form, hence the name. For
 example, arithmetic comparison is not an abstract predicate, but
 rather a function computing a Boolean.
 .
 This package installs the second finite groups theory part of the
 library (abelian groups, center, commutator, Jordan-Holder series,
 Sylow theorems...).

Package: libcoq-mathcomp-ssreflect
Architecture: all
Depends:
 libcoq-core-ocaml,
 coq-${F:CoqABI},
 ${misc:Depends}
Breaks: libssreflect-coq (<= ${binary:Version})
Replaces: libssreflect-coq
Description: Mathematical Components library for Coq (small scale reflection)
 The Mathematical Components Library is an extensive and coherent
 repository of formalized mathematical theories. It is based on the
 Coq proof assistant, powered with the Coq/SSReflect language.
 .
 These formal theories cover a wide spectrum of topics, ranging from
 the formal theory of general-purpose data structures like lists,
 prime numbers or finite graphs, to advanced topics in algebra.
 .
 The formalization technique adopted in the library, called "small
 scale reflection", leverages the higher-order nature of Coq's
 underlying logic to provide effective automation for many small,
 clerical proof steps. This is often accomplished by restating
 ("reflecting") problems in a more concrete form, hence the name. For
 example, arithmetic comparison is not an abstract predicate, but
 rather a function computing a Boolean.
 .
 This package installs the small scale reflection language extension
 and the minimal set of libraries to take advantage of it (sequences,
 booleans and boolean predicates, natural numbers and types with decidable
 equality, finite types, finite sets, finite functions, finite graphs,
 basic arithmetics and prime numbers, big operators...).

Package: libcoq-mathcomp
Architecture: all
Depends:
 libcoq-mathcomp-algebra (= ${binary:Version}),
 libcoq-mathcomp-character (= ${binary:Version}),
 libcoq-mathcomp-field (= ${binary:Version}),
 libcoq-mathcomp-fingroup (= ${binary:Version}),
 libcoq-mathcomp-solvable (= ${binary:Version}),
 libcoq-mathcomp-ssreflect (= ${binary:Version}),
 coq-${F:CoqABI},
 ${misc:Depends}
Breaks: libssreflect-coq (<= ${binary:Version})
Replaces: libssreflect-coq
Provides: ssreflect, libmathcomp-coq, libssreflect-coq
Description: Mathematical Components library for Coq (all)
 The Mathematical Components Library is an extensive and coherent
 repository of formalized mathematical theories. It is based on the
 Coq proof assistant, powered with the Coq/SSReflect language.
 .
 These formal theories cover a wide spectrum of topics, ranging from
 the formal theory of general-purpose data structures like lists,
 prime numbers or finite graphs, to advanced topics in algebra.
 .
 The formalization technique adopted in the library, called "small
 scale reflection", leverages the higher-order nature of Coq's
 underlying logic to provide effective automation for many small,
 clerical proof steps. This is often accomplished by restating
 ("reflecting") problems in a more concrete form, hence the name. For
 example, arithmetic comparison is not an abstract predicate, but
 rather a function computing a Boolean.
 .
 This package installs the full Mathematical Components library.

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)(rc\d*)$/$1~$2/,dversionmangle=s/\+dfsg$// \
https://github.com/math-comp/math-comp/releases .*/mathcomp-([0-9.]*).tar\.gz

## ssreflect 1.15.0

=== debian/changelog ===
ssreflect (1.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Rewrite the autopkgtest.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 05 Jul 2022 08:55:31 +0200

ssreflect (1.14.0-12) unstable; urgency=medium

  * Use dh-coq.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 12 Jun 2022 14:00:32 +0200

ssreflect (1.14.0-11) unstable; urgency=medium

  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 01 Jun 2022 15:24:05 +0200

ssreflect (1.14.0-10) unstable; urgency=medium

  * Re-upload to fix ABI breakage.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 22 May 2022 19:20:43 +0200

ssreflect (1.14.0-9) unstable; urgency=medium

  * Changed all Architecture: to any.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 17 Apr 2022 13:54:05 +0200

ssreflect (1.14.0-8) unstable; urgency=medium

  * Change b-dep from obsolete lua5.1 to lua5.4.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 23 Mar 2022 16:44:59 +0100

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,22 @@
            Julien Puydt <jpuydt@debian.org>,
            Ralf Treinen <treinen@debian.org>
 Build-Depends:
- debhelper-compat (= 13),
- coq (>= 8.11),
- lua5.1
+ debhelper-compat (= 13), dh-coq,
+ coq (>= 8.11), libcoq-stdlib,
+ lua5.4
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Section: math
 Homepage: https://math-comp.github.io/math-comp/
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ssreflect
 Vcs-Git: https://salsa.debian.org/ocaml-team/ssreflect.git
 
 Package: libcoq-mathcomp-algebra
-Architecture: all
+Architecture: any
 Depends:
  libcoq-mathcomp-fingroup (= ${binary:Version}),
- ${misc:Depends}
+ ${misc:Depends}, ${coq:Depends}
+Provides: ${coq:Provides}
 Breaks: libssreflect-coq (<= ${binary:Version})
 Replaces: libssreflect-coq
 Description: Mathematical Components library for Coq (algebra)
@@ -44,10 +45,11 @@
  polynomials, matrices, vector spaces...).
 
 Package: libcoq-mathcomp-character
-Architecture: all
+Architecture: any
 Depends:
  libcoq-mathcomp-field (= ${binary:Version}),
- ${misc:Depends}
+ ${misc:Depends}, ${coq:Depends}
+Provides: ${coq:Provides}
 Breaks: libssreflect-coq (<= ${binary:Version})
 Replaces: libssreflect-coq
 Description: Mathematical Components library for Coq (character)
@@ -71,10 +73,11 @@
  (group representations, characters and class functions).
 
 Package: libcoq-mathcomp-field
-Architecture: all
+Architecture: any
 Depends:
  libcoq-mathcomp-solvable (= ${binary:Version}),
- ${misc:Depends}
+ ${misc:Depends}, ${coq:Depends}
+Provides: ${coq:Provides}
 Breaks: libssreflect-coq (<= ${binary:Version})
 Replaces: libssreflect-coq
 Description: Mathematical Components library for Coq (field)
@@ -99,10 +102,11 @@
  polynomials).
 
 Package: libcoq-mathcomp-fingroup
-Architecture: all
+Architecture: any
 Depends:
  libcoq-mathcomp-ssreflect (= ${binary:Version}),
- ${misc:Depends}
+ ${misc:Depends}, ${coq:Depends}
+Provides: ${coq:Provides}
 Breaks: libssreflect-coq (<= ${binary:Version})
 Replaces: libssreflect-coq
 Description: Mathematical Components library for Coq (finite groups)
@@ -127,10 +131,11 @@
  group action...).
 
 Package: libcoq-mathcomp-solvable
-Architecture: all
+Architecture: any
 Depends:
  libcoq-mathcomp-algebra (= ${binary:Version}),
- ${misc:Depends}
+ ${misc:Depends}, ${coq:Depends}
+Provides: ${coq:Provides}
 Breaks: libssreflect-coq (<= ${binary:Version})
 Replaces: libssreflect-coq
 Description: Mathematical Components library for Coq (finite groups II)
@@ -155,11 +160,11 @@
  Sylow theorems...).
 
 Package: libcoq-mathcomp-ssreflect
-Architecture: all
+Architecture: any
 Depends:
  libcoq-core-ocaml,
- coq-${F:CoqABI},
- ${misc:Depends}
+ ${misc:Depends}, ${coq:Depends}
+Provides: ${coq:Provides}
 Breaks: libssreflect-coq (<= ${binary:Version})
 Replaces: libssreflect-coq
 Description: Mathematical Components library for Coq (small scale reflection)
@@ -186,7 +191,7 @@
  basic arithmetics and prime numbers, big operators...).
 
 Package: libcoq-mathcomp
-Architecture: all
+Architecture: any
 Depends:
  libcoq-mathcomp-algebra (= ${binary:Version}),
  libcoq-mathcomp-character (= ${binary:Version}),
@@ -194,7 +199,6 @@
  libcoq-mathcomp-fingroup (= ${binary:Version}),
  libcoq-mathcomp-solvable (= ${binary:Version}),
  libcoq-mathcomp-ssreflect (= ${binary:Version}),
- coq-${F:CoqABI},
  ${misc:Depends}
 Breaks: libssreflect-coq (<= ${binary:Version})
 Replaces: libssreflect-coq

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/coq/coqvars.mk

export COQTOP := $(COQ_STDLIB_DIR)
export COQLIB := $(COQ_STDLIB_DIR)
export COQBIN := /usr/bin/

%:
	dh $@ --with coq

override_dh_auto_build:
	$(MAKE) -C mathcomp all doc

override_dh_auto_install:
	$(MAKE) -C mathcomp install DSTROOT=$(CURDIR)/debian/tmp
	for pkg in algebra character field fingroup solvable ssreflect; do \
		find debian/tmp/usr/lib/ocaml/coq/user-contrib/mathcomp/$$pkg -regextype posix-awk \
		-regex '.*\.(v|vo|vos|glob)$$' \
		>> debian/libcoq-mathcomp-$$pkg.install ; \
	done
	find debian/tmp/usr/lib/ocaml/coq/user-contrib/mathcomp/all -regextype posix-awk \
	-regex '.*\.(v|vo|vos|glob)$$' \
	>> debian/libcoq-mathcomp.install ;

## ssreflect 1.17.0

=== debian/changelog ===
ssreflect (1.17.0-1build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Jul 2023 08:07:18 +0200

ssreflect (1.17.0-1) unstable; urgency=medium

  * Fix d/watch.
  * Bump standards-version to 4.6.2.
  * New upstream release.
  * Update lintian overrides.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 13 Jun 2023 22:14:07 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  coq (>= 8.11), libcoq-stdlib,
  lua5.4
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: math
 Homepage: https://math-comp.github.io/math-comp/
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ssreflect

## ssreflect 2.1.0

=== debian/changelog ===
ssreflect (2.1.0-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:52:55 +1100

ssreflect (2.1.0-1build3) noble; urgency=medium

  * No-change rebuild for new libcoq-stdlib ABI

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 00:16:33 +0000

ssreflect (2.1.0-1build2) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 12:56:30 +0100

ssreflect (2.1.0-1build1) noble; urgency=medium

  * Rebuild against latest coq-hierarchy-builder

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 27 Jan 2024 16:09:48 -0500

ssreflect (2.1.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Julien Puydt ]
  * Fix d/rules clean target (Closes: #1047035).
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 21 Dec 2023 17:25:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: ssreflect
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>,
            Julien Puydt <jpuydt@debian.org>,
            Ralf Treinen <treinen@debian.org>
 Build-Depends:
  debhelper-compat (= 13), dh-coq,
- coq (>= 8.11), libcoq-stdlib,
+ coq (>= 8.11), libcoq-hierarchy-builder, libcoq-stdlib,
  lua5.4
 Rules-Requires-Root: no
 Standards-Version: 4.6.2

=== debian/rules ===
--- 
+++ 
@@ -22,3 +22,7 @@
 	find debian/tmp/usr/lib/ocaml/coq/user-contrib/mathcomp/all -regextype posix-awk \
 	-regex '.*\.(v|vo|vos|glob)$$' \
 	>> debian/libcoq-mathcomp.install ;	
+
+override_dh_auto_clean:
+	$(MAKE) -C mathcomp clean
+	rm -f mathcomp/Makefile.coq mathcomp/Makefile.coq.conf

## ssreflect 2.2.0

=== debian/changelog ===
ssreflect (2.2.0-2build6) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 17:42:02 +0200

ssreflect (2.2.0-2build5) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Sep 2024 18:30:38 +0200

ssreflect (2.2.0-2build4) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 07 Sep 2024 08:48:34 +0200

ssreflect (2.2.0-2build3) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2024 09:36:10 +0200

ssreflect (2.2.0-2build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:11:10 +0200

ssreflect (2.2.0-2build1) oracular; urgency=medium

  * Rebuild against latest coq

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 04 Aug 2024 17:42:50 -0400

ssreflect (2.2.0-2) unstable; urgency=medium

  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 10:09:08 +0200

ssreflect (2.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 25 Jan 2024 06:34:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: ssreflect
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>,
            Julien Puydt <jpuydt@debian.org>,
            Ralf Treinen <treinen@debian.org>

## ssreflect 2.3.0

=== debian/changelog ===
ssreflect (2.3.0-1build8) plucky; urgency=medium

  * No-change rebuild against new OCAML ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 19 Feb 2025 21:36:59 +0000

ssreflect (2.3.0-1build7) plucky; urgency=medium

  * No-change rebuild for coq ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Feb 2025 09:06:29 +0100

ssreflect (2.3.0-1build6) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2025 22:21:41 +0100

ssreflect (2.3.0-1build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jan 2025 09:35:23 +0100

ssreflect (2.3.0-1build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jan 2025 17:14:40 +0100

ssreflect (2.3.0-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 26 Jan 2025 18:26:43 +0100

ssreflect (2.3.0-1build2) plucky; urgency=medium

  * Rebuild against latest coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 25 Jan 2025 21:22:50 -0500

ssreflect (2.3.0-1build1) plucky; urgency=medium

  * Rebuild against latest coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 19 Dec 2024 22:20:18 -0500

ssreflect (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 18 Dec 2024 12:14:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: ssreflect
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>,
            Julien Puydt <jpuydt@debian.org>,
            Ralf Treinen <treinen@debian.org>
@@ -9,7 +10,7 @@
  coq (>= 8.11), libcoq-hierarchy-builder, libcoq-stdlib,
  lua5.4
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: math
 Homepage: https://math-comp.github.io/math-comp/
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ssreflect

## ssreflect 2.5.0

=== Makefile ===
# -*- Makefile -*-

# setting variables
COQPROJECT?=Make
COQMAKEOPTIONS=--no-print-directory

# Main Makefile
include Makefile.common

=== algebra/Makefile ===
# -*- Makefile -*-

COQPROJECT=Make
COQMAKEOPTIONS=--no-print-directory

include ../Makefile.common

=== all/Makefile ===
# -*- Makefile -*-

COQPROJECT=Make
COQMAKEOPTIONS=--no-print-directory

# --------------------------------------------------------------------
include ../Makefile.common

=== boot/Makefile ===
# -*- Makefile -*-

# setting variables
COQPROJECT?=Make
COQMAKEOPTIONS=--no-print-directory

# Main Makefile
include ../Makefile.common

=== etc/porting_to_mathcomp2/Makefile ===
# porting.tex assumes the preliminary installation of https://github.com/affeldt-aist/ssrmint
# see the README for installation instructions
FILE = porting
TEX = pdflatex --shell-escape

all:
	$(TEX) $(FILE).tex
	bibtex $(FILE)
	$(TEX) $(FILE).tex

=== debian/changelog ===
ssreflect (2.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.2.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 29 Oct 2025 10:27:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: ssreflect
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>,
            Julien Puydt <jpuydt@debian.org>,
            Ralf Treinen <treinen@debian.org>
 Build-Depends:
  debhelper-compat (= 13), dh-coq,
- coq (>= 8.11), libcoq-hierarchy-builder, libcoq-stdlib,
+ coq, libcoq-hierarchy-builder, libcoq-stdlib,
  lua5.4
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: math
 Homepage: https://math-comp.github.io/math-comp/
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ssreflect
@@ -20,10 +19,9 @@
 Architecture: any
 Depends:
  libcoq-mathcomp-fingroup (= ${binary:Version}),
- ${misc:Depends}, ${coq:Depends}
-Provides: ${coq:Provides}
-Breaks: libssreflect-coq (<= ${binary:Version})
-Replaces: libssreflect-coq
+ libcoq-mathcomp-order (= ${binary:Version}),
+ ${misc:Depends}, ${coq:Depends}
+Provides: ${coq:Provides}
 Description: Mathematical Components library for Coq (algebra)
  The Mathematical Components Library is an extensive and coherent
  repository of formalized mathematical theories. It is based on the
@@ -45,14 +43,39 @@
  ordered fields, real fields, modules, algebras, integers, rationals,
  polynomials, matrices, vector spaces...).
 
+Package: libcoq-mathcomp-boot
+Architecture: any
+Depends: ${misc:Depends}, ${coq:Depends}
+Provides: ${coq:Provides}
+Description: Mathematical Components library for Coq (boot)
+ The Mathematical Components Library is an extensive and coherent
+ repository of formalized mathematical theories. It is based on the
+ Coq proof assistant, powered with the Coq/SSReflect language.
+ .
+ These formal theories cover a wide spectrum of topics, ranging from
+ the formal theory of general-purpose data structures like lists,
+ prime numbers or finite graphs, to advanced topics in algebra.
+ .
+ The formalization technique adopted in the library, called "small
+ scale reflection", leverages the higher-order nature of Coq's
+ underlying logic to provide effective automation for many small,
+ clerical proof steps. This is often accomplished by restating
+ ("reflecting") problems in a more concrete form, hence the name. For
+ example, arithmetic comparison is not an abstract predicate, but
+ rather a function computing a Boolean.
+ .
+ This package includes the small scale reflection proof language, and
+ the minimal set of libraries to take advantage of it: lists, boolean
+ and boolean predicates, types with decidable equality, finite sets,
+ finite functions, finite graphs, basic arithmetics and prime numbers
+ and big operators.
+
 Package: libcoq-mathcomp-character
 Architecture: any
 Depends:
  libcoq-mathcomp-field (= ${binary:Version}),
  ${misc:Depends}, ${coq:Depends}
 Provides: ${coq:Provides}
-Breaks: libssreflect-coq (<= ${binary:Version})
-Replaces: libssreflect-coq
 Description: Mathematical Components library for Coq (character)
  The Mathematical Components Library is an extensive and coherent
  repository of formalized mathematical theories. It is based on the
@@ -79,8 +102,6 @@
  libcoq-mathcomp-solvable (= ${binary:Version}),
  ${misc:Depends}, ${coq:Depends}
 Provides: ${coq:Provides}
-Breaks: libssreflect-coq (<= ${binary:Version})
-Replaces: libssreflect-coq
 Description: Mathematical Components library for Coq (field)
  The Mathematical Components Library is an extensive and coherent
  repository of formalized mathematical theories. It is based on the
@@ -105,11 +126,9 @@
 Package: libcoq-mathcomp-fingroup
 Architecture: any
 Depends:
- libcoq-mathcomp-ssreflect (= ${binary:Version}),
- ${misc:Depends}, ${coq:Depends}
-Provides: ${coq:Provides}
-Breaks: libssreflect-coq (<= ${binary:Version})
-Replaces: libssreflect-coq
+ libcoq-mathcomp-boot (= ${binary:Version}),
+ ${misc:Depends}, ${coq:Depends}
+Provides: ${coq:Provides}
 Description: Mathematical Components library for Coq (finite groups)
  The Mathematical Components Library is an extensive and coherent
  repository of formalized mathematical theories. It is based on the
@@ -131,14 +150,38 @@
  (finite groups, group quotients, group morphisms, group presentation,
  group action...).
 
+Package: libcoq-mathcomp-order
+Architecture: any
+Depends:
+ libcoq-mathcomp-boot (= ${binary:Version}),
+ ${misc:Depends}, ${coq:Depends}
+Provides: ${coq:Provides}
+Description: Mathematical Components library for Coq (order)
+ The Mathematical Components Library is an extensive and coherent
+ repository of formalized mathematical theories. It is based on the
+ Coq proof assistant, powered with the Coq/SSReflect language.
+ .
+ These formal theories cover a wide spectrum of topics, ranging from
+ the formal theory of general-purpose data structures like lists,
+ prime numbers or finite graphs, to advanced topics in algebra.
+ .
+ The formalization technique adopted in the library, called "small
+ scale reflection", leverages the higher-order nature of Coq's
+ underlying logic to provide effective automation for many small,
+ clerical proof steps. This is often accomplished by restating
+ ("reflecting") problems in a more concrete form, hence the name. For
+ example, arithmetic comparison is not an abstract predicate, but
+ rather a function computing a Boolean.
+ .
+ This package installs the order theory: definitions and theorems
+ on partial orders, lattices, total orders, etc.
+
 Package: libcoq-mathcomp-solvable
 Architecture: any
 Depends:
  libcoq-mathcomp-algebra (= ${binary:Version}),
  ${misc:Depends}, ${coq:Depends}
 Provides: ${coq:Provides}
-Breaks: libssreflect-coq (<= ${binary:Version})
-Replaces: libssreflect-coq
 Description: Mathematical Components library for Coq (finite groups II)
  The Mathematical Components Library is an extensive and coherent
  repository of formalized mathematical theories. It is based on the
@@ -164,10 +207,10 @@
 Architecture: any
 Depends:
  libcoq-core-ocaml,
- ${misc:Depends}, ${coq:Depends}
-Provides: ${coq:Provides}
-Breaks: libssreflect-coq (<= ${binary:Version})
-Replaces: libssreflect-coq
+ libcoq-mathcomp-boot (= ${binary:Version}),
+ libcoq-mathcomp-order (= ${binary:Version}),
+ ${misc:Depends}, ${coq:Depends}
+Provides: ${coq:Provides}
 Description: Mathematical Components library for Coq (small scale reflection)
  The Mathematical Components Library is an extensive and coherent
  repository of formalized mathematical theories. It is based on the
@@ -185,11 +228,9 @@
  example, arithmetic comparison is not an abstract predicate, but
  rather a function computing a Boolean.
  .
- This package installs the small scale reflection language extension
- and the minimal set of libraries to take advantage of it (sequences,
- booleans and boolean predicates, natural numbers and types with decidable
- equality, finite types, finite sets, finite functions, finite graphs,
- basic arithmetics and prime numbers, big operators...).
+ You should install libcoq-mathcomp-boot and libcoq-mathcomp-order
+ then remove this package -- it is a compatibility package for
+ previous installations.
 
 Package: libcoq-mathcomp
 Architecture: any
@@ -200,10 +241,8 @@
  libcoq-mathcomp-fingroup (= ${binary:Version}),
  libcoq-mathcomp-solvable (= ${binary:Version}),
  libcoq-mathcomp-ssreflect (= ${binary:Version}),
+ mathcomp-doc,
  ${misc:Depends}
-Breaks: libssreflect-coq (<= ${binary:Version})
-Replaces: libssreflect-coq
-Provides: ssreflect, libmathcomp-coq, libssreflect-coq
 Description: Mathematical Components library for Coq (all)
  The Mathematical Components Library is an extensive and coherent
  repository of formalized mathematical theories. It is based on the
@@ -222,3 +261,9 @@
  rather a function computing a Boolean.
  .
  This package installs the full Mathematical Components library.
+
+Package: mathcomp-doc
+Section: doc
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/coq/coqvars.mk

export DEB_BUILD_OPTIONS += noautodbgsym

export COQTOP := $(COQ_STDLIB_DIR)
export ROCQLIB := $(COQ_STDLIB_DIR)
export COQBIN := /usr/bin/

PKGS = algebra boot character field fingroup order ssreflect solvable

%:
	dh $@ --with coq

override_dh_auto_build:
	$(MAKE) build
	$(MAKE) doc

override_dh_auto_install:
	$(MAKE) install DSTROOT=$(CURDIR)/debian/tmp
	for pkg in $(PKGS); do \
		find debian/tmp$(COQ_USERCONTRIB_DIR)/mathcomp/$$pkg -regextype posix-awk \
		-regex '.*\.(v|vo|vos|glob)$$' \
		>> debian/libcoq-mathcomp-$$pkg.install ; \
	done
	find debian/tmp$(COQ_USERCONTRIB_DIR)/mathcomp/all -regextype posix-awk \
	-regex '.*\.(v|vo|vos|glob)$$' \
	>> debian/libcoq-mathcomp.install ;

override_dh_auto_clean:
	$(MAKE) clean
	rm -f mathcomp/Makefile.coq mathcomp/Makefile.coq.conf

=== debian/tests/control ===
Test-Command: coqtop -batch -rifrom mathcomp ssreflect
Depends: @, coq

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)(rc\d*)$/$1~$2/,dversionmangle=s/\+dfsg$// \
https://github.com/math-comp/math-comp/tags .*/mathcomp-([0-9.]*).tar\.gz
